# QueryString <-> JSON converter

## Features

- Complex object and array support
- Data type converters for 
    - Ingeger 
    - Float 
    - Date (iso8601 and .net)

## Installation

node

    npm install --save querystring-json

browseer

    bower install --save querystring-json
    <script type="text/javascript" src="querystring-json.min.js"></script>

## Build

    gulp

## Test

    gulp test

or

    mocha

## Examples
QueryString to JSON

```
var queryModel = QSJS.toJSON(); // got location.search parsed
```
or
```
var queryString = "name=name&value=10&float=1.5&date=2015-04-10T09:04:33.253&array[0]=1&arrayOfObjects[0].objValue1=val&arrayOfObjects[0].objValue2=1";
var queryModel = QSJS.toJSON(queryString);
```

JSON to QueryString
```
var queryString = QSJS.toQueryString(item)
```
